%define snap 2245

Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
Summary:   	a free h264/avc encoder	
Name:      	x264
Version:   	20100722
Release:   	1
BuildArch:	i686
License: 	GPL
URL:		http://developers.videolan.org/x264.html
Group:     	Video
Source0: 	%{name}-snapshot-%{version}-%{snap}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	yasm
BuildRequires:  startup-notification-devel

BuildRequires: gpac-devel

#Automatically resolved build dependencies
# circular dependency
# build x264 - ffmpeg - x264 to resolve
#BuildRequires: ffmpeg-devel
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: pkg-config

%description
x264 is a free library for encoding H264/AVC video streams.

%package devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-snapshot-%{version}-%{snap}

%build
# Warning do not enable pic it seems to be broken!!!
# Do not use -Os because it makes encoding slower (~5-10%)
export CFLAGS="-O3 ${CFLAGS/-Os/}"
./configure 	--prefix=%_prefix \
	  	--enable-pthread \
  		--enable-visualize \
	  	--disable-pic \
  		--enable-shared --extra-cflags="%{optflags}"
make




%install
rm -rf $RPM_BUILD_ROOT 

make install DESTDIR=$RPM_BUILD_ROOT

find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';' 
 


%files
%defattr(-,root,root)
%{_bindir}/x264
%{_libdir}/libx264.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/x264.h
%{_libdir}/libx264.a
%{_libdir}/libx264.so
%{_pkgconfig}/x264.pc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jul 22 2010 Karsten Brockmann <arcam@ccux-linux.de> 20100722-1
- Version update
* Mon May 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 20100516-1
- Version update
* Tue Mar 09 2010 Karsten Brockmann <arcam@ccux-linux.de> 20100308-1
- Version update
* Sat Dec 26 2009 Christian Metzen <metzench@ccux-linux.de> 20091119-1
- Version update
- disable-mp4-output
* Wed Mar 24 2009 Christian Metzen <metzench@ccux-linux.de> 20090324-1
- Version update to SVN revision 2245
* Thu Jan 03 2008 Stefan Gottwald <gotti@ccux-linux.de> 20080103-1
- Version Update to SVN Revision 714
* Sun Nov 04 2007 Stefan Gottwald <gotti@ccux-linux.de> 20071104-1
- Version Update to SVN Revision 680 (682 is not working)
- disable pic usage because it is broken!
* Wed Apr 18 2007 Stefan Gottwald <gotti@ccux-linux.de> 20070418-1
- Version Update to SVN Revision 650
* Mon Jan 15 2007 Stefan Gottwald <gotti@ccux-linux.de> 20070115-1
- Version Update to SVN Revision 618
* Thu Jan 04 2007 Stefan Gottwald <gotti@ccux-linux.de> 20061125-2
- rebuild with mp4 support
* Sat Nov 25 2006 Stefan Gottwald <gotti@ccux-linux.de> 20061125-1
- Version Update SVN Revision 603
* Wed Sep 13 2006 Stefan Gottwald <gotti@ccux-linux.de> 20060913-1
- Version Update SVN Revision 563
* Sat Aug 26 2006 Stefan Gottwald <gotti@ccux-linux.de> 20060824-1
- Version Update SVN Revision 558
* Sat Jul 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 20060630-1
- Initial Release
